Last modified: 2013-05-10 16:08:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28628 - cleanup iwlinks table on WMF wikis
cleanup iwlinks table on WMF wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Lowest normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on: 30466
Blocks: 16660 27480
  Show dependency treegraph
 
Reported: 2011-04-20 19:50 UTC by db [inactive,noenotif]
Modified: 2013-05-10 16:08 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2011-04-20 19:50:32 UTC
bug 28568 is live on WMF wikis, but it is nice to clean up the iwlinks table.

It is better to do it now, because the table are not so big (added with 1.17), I think.

Thanks.
Comment 1 p858snake 2011-04-22 02:54:23 UTC
Is there a script or such written for this?
Comment 2 Roan Kattouw 2011-04-22 08:44:10 UTC
(In reply to comment #1)
> Is there a script or such written for this?

No, but that's not really needed. You can find out the offending page IDs using a (kinda expensive) LEFT JOIN query on the toolserver, then run something like

php maintenance/runBatchedQuery.php "DELETE FROM iwlinks WHERE iwl_from IN (123,456,789) LIMIT 500;"

on the cluster.
Comment 3 db [inactive,noenotif] 2011-04-22 11:34:58 UTC
The maintenance script refreshlinks is not working for this table (bug 28630)
Comment 4 Roan Kattouw 2011-04-22 11:47:30 UTC
(In reply to comment #3)
> The maintenance script refreshlinks is not working for this table (bug 28630)
refreshLinks would be overkill for this purpose anyway.
Comment 5 Sam Reed (reedy) 2011-07-09 03:57:55 UTC
I've added it to reflinks (per bug 28630)

But using it to fix it, would be like 8 times overkill doing the rest of the other updates

There's still 4.1M rows on enwiki in the iwlinks table
Comment 6 Sam Reed (reedy) 2012-04-17 16:21:35 UTC
It's going to be done for bug 27480, so that will fix this also

*** This bug has been marked as a duplicate of bug 27480 ***
Comment 7 Sam Reed (reedy) 2012-04-17 16:22:09 UTC
And/or bug 16112
Comment 8 Nemo 2012-11-16 08:20:48 UTC
Reopening: unless bug 16112 solved it outside en.wiki, refreshlinks is not a solution for this problem (overkill, won't be run).
How expensive is the solution proposed by Roan in comment 2?
Comment 9 db [inactive,noenotif] 2013-05-10 16:08:32 UTC
Affected by bug 16112, so this is fixed for all wikis excepted enwiki, but will be fixed, when bug 36195 and bug 42180 will be fixed.

The solution from comment 2 does not work, because it used the same slow query than for all the other tables. See bug 42180.

No need to keep two bugs open, when one includes the other.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links